VAT considerations in Colombia
VAT (Value Added Tax) is a tax burden that applies to the sale of products or the provision of services within Colombian territory.
Some products and services are excluded from VAT and others have reduced rates. Currently, the general rate for this tax is 19%.
Taxes in online payments
To process VAT correctly, you can send the net amount (unit_price) and VAT (taxes) when making the charge through the API.
Below we show you how to send the data:
| Field | Type | Description | Remarks |
items | Array | List of products or services to charge | - |
items.title | String | Title of the product or service | - |
items.quantity | Integer | Number of units | - |
items.unit_price | Float | Unit price of the product without VAT | - |
items.currency_id | String | Currency identifier (COP for Colombia) | - |
taxes | Array | List of applicable taxes | If no value is sent, a 19% reduction on the total transaction amount will be applied by default, corresponding to the general VAT. |
taxes.type | String | Tax type (IVA) | - |
taxes.value | Integer | Tax amount in absolute values | Must be an integer amount; do not use decimals or special characters. For VAT-exempt products, set it with a value of 0. |
curl
curl -X POST \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ 'https://api.mercadopago.com/v1/payments' \ -d '{ "items": [ { "title": "Title of what you are paying for", "quantity": 1, "unit_price": 10000, "currency_id": "COP" } ], "taxes": [ { "type": "IVA", "value": 500 } ], "payer": { "email": "test_user_19653727@testuser.com" }, "back_urls": { "success": "https://www.your-site.com/success", "failure": "https://www.your-site.com/failure", "pending": "https://www.your-site.com/pending" }, "auto_return": "approved" }'